//
//  QtsHttpComm.h
//  QTSHTTPSDK
//
//  Created by Lawrence on 2013/11/25.
//  Copyright (c) 2013年 Lawrence. All rights reserved.
//

#import <Foundation/Foundation.h>

/** QtsHttpServer API success or fail error code. */
typedef enum _QTS_HTTP_API_RESULTS_
{
	/** QTS HTTP API success */
	QTS_HTTP_APIS_SUCCESS = 0,
	/** QTS HTTP API in progress, return progress rate or total bytes of transferred */
	QTS_HTTP_APIS_SUCCESS_INPROGRESS = 1,
	/** QTS HTTP API abort */
	QTS_HTTP_APIS_SUCCESS_ABORT = 2,
    
	/** QTS HTTP API default fail */
	QTS_HTTP_APIS_FAILURE = 50,
	/** Network no connection */
	QTS_HTTP_APIS_FAILURE_NETWORK_NO_CONNECTION = 100,
	/** Network connection failed */
	QTS_HTTP_APIS_FAILURE_NETWORK_CONNECTION_FAILED = 101,
	/** Network timeout */
	QTS_HTTP_APIS_FAILURE_NETWORK_TIMEOUT = 102,
    
	/** Parameter invalid */
	QTS_HTTP_APIS_FAILURE_PARAMETER_INVALID = 200,
    
	/** Server disconnect */
	QTS_HTTP_APIS_FAILURE_SERVER_DISCONNECT = 300,
	/** Server not exist */
	QTS_HTTP_APIS_FAILURE_SERVER_NOT_EXIST = 301,
	/** Not login */
	QTS_HTTP_APIS_FAILURE_NOT_AUTHORIZED = 400,
	/** Login fail */
	QTS_HTTP_APIS_FAILURE_AUTHORIZATION_FAILED = 401,
	/** No enough memory */
	QTS_HTTP_APIS_FAILURE_SYSTEM_OUTOFMEMORY = 500,
	/** Station unsupported */
	QTS_HTTP_APIS_FAILURE_STATION_UNSUPPORTED = 600,
	/** Station not enabled */
	QTS_HTTP_APIS_FAILURE_STATION_NOT_ENABLED = 601,
    
	/** File exist */
	QTS_HTTP_APIS_FAILURE_FILE_EXIST = 700,
	/** File not exist */
	QTS_HTTP_APIS_FAILURE_FILE_NOT_EXIST = 701,
	/** File permission denied */
	QTS_HTTP_APIS_FAILURE_FILE_PERMISSION_DENIED = 702,
}QTS_HTTP_API_RESULTS;

/*!
 * \brief
 * Content of API Response.
 *
 */
@interface QTS_RESPONSE_CTX : NSObject
{
    QTS_HTTP_API_RESULTS result;
    NSArray* response;
}

/** QTS HTTP API result */
@property (assign) QTS_HTTP_API_RESULTS result;
/** QTS HTTP API Response Content */
@property (strong) NSArray* response;

@end



